cdac.medinfo.sdk.hl7282.hl7model.messages.financialmanagement

## Class BAR_P01

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.financialmanagement.BAR_P01

-     public final class BAR_P01
      extends Message

  BAR_P01 - Add Patient Account (Event P01). This event is use to transmit the opening of an account,when an accounts start and end dates span a period greater than any particular visit and use to create a new account without notifying systems of a patient's arrival.

  Represents a BAR_P01 message structure (see chapter 6.4.1). This structure contains the following elements:

  0: MSH (Message Header segment)
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential segment) SINGLE_OPTIONAL
  3: EVN (Event Type Segment) SINGLE_COMPULSARY
  4: PID (Patient Identification Segment) SINGLE_COMPULSARY
  5: PD1 (Patient Additional Demographic) SINGLE_OPTIONAL
  6: PRT (Participation Segment) MULTIPLE_OPTIONAL
  7: ROL (Role) MULTIPLE_OPTIONAL
  8: VISIT (a Group of segments in BAR_P01 message) MULTIPLE_COMPULSARY
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  Following is the step to create message
  Before that, respective Message Source and Message Recipient to be set on Message Factory.

  BAR_P01 objP01 = (BAR_P01)MessageFactory.createInstance().createSendSupportedMessage("BAR", "P01");

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addParticipationSegment(PRT objPRT)` Adds Participation(PRT) Segment to this message.
    `void` | `addPaticipationSegments(ISingleCollection<PRT> objPRTSegmentCollection)` Adds collection of PArticipation(PRT) Segment to this message.
    `void` | `addPatientIdentificationRoleSegment(ISingleCollection<ROL> objROLSegmentCollection)` Adds collection of Role(ROL) segments associated with Patient Identification.
    `void` | `addPatientIdentificationRoleSegment(ROL objROL)` Adds Role(ROL) segment associated with Patient Identification.
    `void` | `addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)` Adds collection of Software Segment(SFT) to this message.
    `void` | `addSoftwareSegment(SFT objSFT)` Adds Software Segment(SFT) to this message.
    `void` | `addVisitGroup(IGroup objGroup)` Adds VISIT GROUP to this message.
    `void` | `addVisitGroups(ISingleCollection<IGroup> objSingleCollection)` Adds Collection of VISIT GROUP to this message.
    `PD1` | `getAdditinalDemographicSegment()` Retrieves Additinal Demographics segment(PD1) present in this message.
    `EVN` | `getEventTypeSegment()` Retrieves Event Type(EVN) segment present in this message
    `ISingleCollection<PRT>` | `getParticipationSegments()` Retrieves Collection of Participation(PRT) Segment present in this message.
    `ISingleCollection<ROL>` | `getPatientIdentificationRoleSegments()` Retrieves Collection of Role(ROL) Segments present in this message.
    `PID` | `getPatientIdentificationSegment()` Retrieves Patient Identification(PID) segment present in this message.
    `ISingleCollection<SFT>` | `getSoftwareSegments()` Retrieves Collection of Software Segments(SFT) present in this message.
    `UAC` | `getUserAuthenticationCredentialSegment()` Retrieves User Authentication Credential(UAC) segment present in this message
    `ISingleCollection<IGroup>` | `getVisitGroups()` Retrieves Collection of VISIT GROUP present in this message.
    `void` | `setAdditinalDemographicSegment(PD1 objPD1)` Sets value of Additinal Demographics segment(PD1) for this message,overwrites if already present.
    `void` | `setEventTypeSegment(EVN objEVN)` Sets value of Event Type segment for this message,overwrites if already present.
    `void` | `setPatientIdentificationSegment(PID objPID)` Sets value of PID segment for this message,overwrites if already present.
    `void` | `setUserAuthenticationCredentialSegment(UAC objUAC)` Sets value of User Authentication Credential(UAC) segment for this message, overwrites if already present.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getSoftwareSegments

          public ISingleCollection<SFT> getSoftwareSegments()

      Retrieves Collection of Software Segments(SFT) present in this message.
      Returns:
        ISingleCollection - Collection of Software Segments(SFT) present in this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(SFT objSFT)

      Adds Software Segment(SFT) to this message.
      Parameters:
        `objSFT` - Specified Software Segment(SFT) to be added in this messageto this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)

      Adds collection of Software Segment(SFT) to this message.
      Parameters:
        `objSFTSegmentCollection` - Collection of Software Segments to add in this message

    - #### getUserAuthenticationCredentialSegment

          public UAC getUserAuthenticationCredentialSegment()

      Retrieves User Authentication Credential(UAC) segment present in this message
      Returns:
        UAC - the User Authentication Credential Segment present in this message or null if unavailable.

    - #### setUserAuthenticationCredentialSegment

          public void setUserAuthenticationCredentialSegment(UAC objUAC)

      Sets value of User Authentication Credential(UAC) segment for this message, overwrites if already present.
      Parameters:
        `objUAC` - Specified UAC Segment

    - #### getEventTypeSegment

          public EVN getEventTypeSegment()

      Retrieves Event Type(EVN) segment present in this message
      Returns:
        EVN - the EVN Segment present in this message or null if unavailable.

    - #### setEventTypeSegment

          public void setEventTypeSegment(EVN objEVN)

      Sets value of Event Type segment for this message,overwrites if already present.
      Parameters:
        `objEVN` - Specified EVN Segment

    - #### getPatientIdentificationSegment

          public PID getPatientIdentificationSegment()

      Retrieves Patient Identification(PID) segment present in this message.
      Returns:
        PID - the Patient Identification Segment present in this message or null if unavailable.

    - #### setPatientIdentificationSegment

          public void setPatientIdentificationSegment(PID objPID)

      Sets value of PID segment for this message,overwrites if already present.
      Parameters:
        `objPID` - Specified PID Segment

    - #### getAdditinalDemographicSegment

          public PD1 getAdditinalDemographicSegment()

      Retrieves Additinal Demographics segment(PD1) present in this message.
      Returns:
        PD1 - the Additinal Demographics(PD1) Segment. present in this message or null if unavailable.

    - #### setAdditinalDemographicSegment

          public void setAdditinalDemographicSegment(PD1 objPD1)

      Sets value of Additinal Demographics segment(PD1) for this message,overwrites if already present.
      Parameters:
        `objPD1` - Specified Additinal Demographics(PD1) Segment.

    - #### getParticipationSegments

          public ISingleCollection<PRT> getParticipationSegments()

      Retrieves Collection of Participation(PRT) Segment present in this message.
      Returns:
        ISingleCollection - collection of Participation(PRT) Segment present in message.

    - #### addParticipationSegment

          public void addParticipationSegment(PRT objPRT)

      Adds Participation(PRT) Segment to this message.
      Parameters:
        `objPRT` - Specified Participation(PRT) Segment to be added in this message.

    - #### addPaticipationSegments

          public void addPaticipationSegments(ISingleCollection<PRT> objPRTSegmentCollection)

      Adds collection of PArticipation(PRT) Segment to this message.
      Parameters:
        `objPRTSegmentCollection` - Collection of Participation Segments to add in this message

    - #### getPatientIdentificationRoleSegments

          public ISingleCollection<ROL> getPatientIdentificationRoleSegments()

      Retrieves Collection of Role(ROL) Segments present in this message.
      Returns:
        ISingleCollection - Collection of Role(ROL) Segments present in this message.

    - #### addPatientIdentificationRoleSegment

          public void addPatientIdentificationRoleSegment(ROL objROL)

      Adds Role(ROL) segment associated with Patient Identification.
      Parameters:
        `objROL` - Specified Role(ROL) segment associated with Patient Identification.

    - #### addPatientIdentificationRoleSegment

          public void addPatientIdentificationRoleSegment(ISingleCollection<ROL> objROLSegmentCollection)

      Adds collection of Role(ROL) segments associated with Patient Identification.
      Parameters:
        `objROLSegmentCollection` - Collection of Role(ROL)segments associated with Patient Identification.

    - #### getVisitGroups

          public ISingleCollection<IGroup> getVisitGroups()

      Retrieves Collection of VISIT GROUP present in this message.
      Returns:
        ISingleCollection - Collection of Visit Group present in this Message.

    - #### addVisitGroups

          public void addVisitGroups(ISingleCollection<IGroup> objSingleCollection)

      Adds Collection of VISIT GROUP to this message.
      Parameters:
        `objSingleCollection` - Specified VISIT GROUP Collection.

    - #### addVisitGroup

          public void addVisitGroup(IGroup objGroup)

      Adds VISIT GROUP to this message.
      Parameters:
        `objGroup` - Specified VISIT GROUP.